Subject: bug#46573: 28.0.50; Error when edebugging setting unbound place

From: Gemini Lasswell <[email-masked]>
Date: Tue, 23 Feb 2021 16:59:12 -0800

Stefan Monnier writes:

> Gemini, how important is it to instrument the setter?  It is definitely
> undesirable for Edebug, which you end up seeing the result of
> computations which don't take place at all during
> un-instrumented execution.  How 'bout using something like
>
>     `(edebug-after ,before ,index ,(funcall setter store))
>
> instead?

Hi Stefan,

Sorry to be slow responding to this.  I don't think I would have added
this complication without a good reason, but it's not apparent to me now
what that reason was.  I hope to find time to look at it more this
weekend.

Best,

Gemini